LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Mandriva (http://www.linuxquestions.org/questions/mandriva-30/)
-   -   How can I play rmvb,rm with Kaffeine and other players? (http://www.linuxquestions.org/questions/mandriva-30/how-can-i-play-rmvb-rm-with-kaffeine-and-other-players-320708/)

homesp 05-06-2005 09:39 AM

How can I play rmvb,rm with Kaffeine and other players?
 
In my debian system ,I installed w32codecs and it make all my players like Kaffeine,Totem,mplayer and so on play all the formats such as rm rmvb wav.
But in Mandriva I found the equal software win32-codecs,it can not extend the vedio formats the palyer originally support.

So I want to know how can I change the settings to make my players play more formats?Or install other packages?

samael26 05-06-2005 09:52 AM

I experienced the same problem with Kaffeine being able to play these files in Debian with w32codecs

and not in Mandriva with the same codecs. I tried to uninstall / reinstall thinking Kaffeine will

"see' the w32codecs. It didn't. I installed mplayer and everything worked.. Urpmi mplayer/mplayer gui

and you will be done.

cheers

homesp 05-06-2005 10:06 AM

error: /var/cache/urpmi/rpms/libxvid4-1.1.0-0.beta2.0.1.102plf.i586.rpm: headerRead failed
These packages with signature error:
/var/cache/urpmi/rpms/libxvid4-1.1.0-0.beta2.0.1.102plf.i586.rpm:lack for signature(Unable to read rpm file)
Do you want to continue to install?(y/N)[N]y
from /var/cache/urpmi/rpms installing mplayer-1.0-0.pre7.4.1.102plf.i586.rpm libggi-2.1.0-2mdk.i586.rpm libtheora0-1.0-0.alpha4.0.1.102plf.i586.rpm fribidi-0.10.4-5mdk.i586.rpm libpostproc0-1.0-0.pre7.4.1.102plf.i586.rpm libxvid4-1.1.0-0.beta2.0.1.102plf.i586.rpm libfribidi0-0.10.4-5mdk.i586.rpm libgii0-0.9.0-1mdk.i586.rpm libggi2-2.1.0-2mdk.i586.rpm libbio2jack0-0.4-1mdk.i586.rpm libdha1.0-1.0-0.pre7.4.1.102plf.i586.rpm libenca0-1.7-1mdk.i586.rpm libgii-0.9.0-1mdk.i586.rpm libpolypaudio0.7-0.7-3mdk.i586.rpm
error: can not install the software /var/cache/urpmi/rpms/libxvid4-1.1.0-0.beta2.0.1.102plf.i586.rpm
/var/cache/urpmi/rpms/libxvid4-1.1.0-0.beta2.0.1.102plf.i586.rpm: headerRead failed: hdr blob(5648): BAD, read returned 1964
install failed:
libxvidcore.so.4 is needed by mplayer-1.0-0.pre7.4.1.102plf


what's wrong??

homesp 05-06-2005 10:45 AM

I make it.I download the package libxvid4-1.1.0-0.beta2.0.1.102plf.i586.rpm,and then move it to the directory var/cache/urpmi/rpms/
then run the command urpmi ,it goes well.


All times are GMT -5. The time now is 12:34 AM.